Skip to content

vRack Services

All operations require authentication.

4 operationsv1/vrack/{serviceName}
Agent setup

List vRack Services. Returns the vRack Services attached to the vRack.Production

GET
/1.0/vrack/{serviceName}/vrackServices

Path parameters

serviceName
required
string

The internal name of your vrack

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/vrackServices \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a vRack Services. Returns the attached vRack Services and its vRack.Production

GET
/1.0/vrack/{serviceName}/vrackServices/{vrackServices}

Path parameters

serviceName
required
string

The internal name of your vrack

vrackServices
required
string

vrackServices service name

Response

200vrackServicessuccessful operation
vrack
read-only
string

vrack name

vrackServices
read-only
string

vrackServices service name

Example uses serviceName = string, vrackServices = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/vrackServices/{vrackServices} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "vrack": "string", "vrackServices": "string"}

Attach a vRack ServicesProduction

POST
/1.0/vrack/{serviceName}/vrackServices

Attach a vRack Services. Attaches a vRack Services to the vRack. Its subnets and Service Endpoints are then configured with the vRack Services API. Returns the task that performs it.

Path parameters

serviceName
required
string

The internal name of your vrack

Request body (required)

vrackServices
required
string

vrackServices service name

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/vrackServices \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

Detach a vRack ServicesProduction

DELETE
/1.0/vrack/{serviceName}/vrackServices/{vrackServices}

Detach a vRack Services. Detaches the vRack Services from the vRack. Returns the task that performs it.

Path parameters

serviceName
required
string

The internal name of your vrack

vrackServices
required
string

vrackServices service name

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses serviceName = string, vrackServices = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/vrackServices/{vrackServices} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}